=== cmp_ssleay/Makefile ===
SSLEAY_INCL = /usr/ssl/include
SSLEAY_LIB = /usr/ssl/lib
CC = gcc -I$(SSLEAY_INCL) -L$(SSLEAY_LIB)

all: blowfish des 3des

blowfish: blowfish.c
	$(CC) -o blowfish blowfish.c -lcrypto
des: des.c
	$(CC) -o des des.c -lcrypto
3des: 3des.c
	$(CC) -o 3des 3des.c -lcrypto

clean:
	rm -f blowfish des 3des
distclean: clean
	rm -f *~
