=== test/Makefile ===
SSLEAY_INCL = /usr/ssl/include
SSLEAY_LIB = /usr/ssl/lib
CC = gcc -I$(SSLEAY_INCL) -L$(SSLEAY_LIB)

all: speed_blowfish_byte speed_blowfish_native speed_blowfish_c \
     speed_des_byte      speed_des_native      speed_des_c

speed_blowfish_byte: speed_blowfish.ml ../cryptgps.cma
	ocamlc -o speed_blowfish_byte -I .. bigarray.cma ../cryptgps.cma  speed_blowfish.ml

speed_blowfish_native: speed_blowfish.ml ../cryptgps.cmxa
	ocamlopt -o speed_blowfish_native -I .. bigarray.cmxa ../cryptgps.cmxa  speed_blowfish.ml

speed_blowfish_c: speed_blowfish.c
	$(CC) -o speed_blowfish_c speed_blowfish.c -lcrypto

speed_des_byte: speed_des.ml ../cryptgps.cma
	ocamlc -o speed_des_byte -I .. ../cryptgps.cma  speed_des.ml

speed_des_native: speed_des.ml ../cryptgps.cmxa
	ocamlopt -p -o speed_des_native -I .. ../cryptgps.cmxa  speed_des.ml

speed_des_c: speed_des.c
	$(CC) -o speed_des_c speed_des.c -lcrypto

clean:
	rm -f *.cmi *.cmo *.cmx *.o 
	rm -f speed_blowfish_c speed_blowfish_byte speed_blowfish_native
	rm -f speed_des_c speed_des_byte speed_des_native
	rm -f gmon.out
distclean: clean
	rm -f *~
