=== debian/control ===
Source: cryptgps
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 12),
 ocaml-nox (>= 4),
 ocaml-findlib (>= 1.4),
 dh-ocaml (>= 0.9)
Standards-Version: 4.4.0
Homepage: http://projects.camlcity.org/projects/cryptgps.html
Vcs-Git: https://salsa.debian.org/ocaml-team/cryptgps.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/cryptgps

Package: libcryptgps-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml implementation of symmetric cryptographic algorithms: Blowfish, DES, 3DES
 This OCaml library implements some well-known symmetric cryptographic
 algorithms, namely: Blowfish, DES, 3DES.
 .
 This package contains all the development stuff needed to use cryptgps in
 OCaml programs.
