=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://download.camlcity.org/download/ cryptgps-(.*)\.tar\.gz
